Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.repositories
[Java] Interface PasswordCredentials

    public interface PasswordCredentials

A username/password credentials that can be used to login to password-protected remote repository.

Method Summary
`String` | `getPassword()` Returns the password to use when authenticating to this repository.
`String` | `getUsername()` Returns the user name to use when authenticating to this repository.
`void` | `setPassword(String password)` Sets the password to use when authenticating to this repository.
`void` | `setUsername(String userName)` Sets the user name to use when authenticating to this repository.

Method Detail

### getPassword

    public String getPassword()

  Returns the password to use when authenticating to this repository.
  Returns:
    The password. May be null.

### getUsername

    public String getUsername()

  Returns the user name to use when authenticating to this repository.
  Returns:
    The user name. May be null.

### setPassword

    public void setPassword(String password)

  Sets the password to use when authenticating to this repository.
  Parameters:
    `password` - The password. May be null.

### setUsername

    public void setUsername(String userName)

  Sets the user name to use when authenticating to this repository.
  Parameters:
    `userName` - The user name. May be null.

Gradle API 1.10